classification
Title: argparse missing documentation for error() method
Type: Stage:
Components: Documentation Versions: Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: bethard, docs@python, georg.brandl, mark, sandro.tosi
Priority: normal Keywords: patch

Created on 2010-06-29 08:06 by mark, last changed 2010-10-17 10:28 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
issue9112-py3k.patch sandro.tosi, 2010-09-30 18:36
Messages (3)
msg108896 - (view) Author: Mark Summerfield (mark) * Date: 2010-06-29 08:06
The argparse module's ArgumentParser class has an error() method that appears to have the same behavior as the optparse error() method, but this method is not mentioned in the documentation.
msg117758 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2010-09-30 18:36
Hello,
attached a patch that adds the exiting methods (exit() and error()) to argparse documentation.

Regards,
Sandro
msg118926 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-17 10:28
Committed after review in r85622. Thanks!
History
Date User Action Args
2010-10-17 10:28:15georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg118926

resolution: fixed
2010-09-30 18:36:42sandro.tosisetfiles: + issue9112-py3k.patch

nosy: + sandro.tosi
messages: + msg117758

keywords: + patch
2010-06-29 13:37:03r.david.murraysetnosy: + bethard
2010-06-29 08:06:48markcreate